aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/aggregate-results.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/aggregate-results.sh')
-rwxr-xr-xtest/aggregate-results.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/aggregate-results.sh b/test/aggregate-results.sh
index 732d6ca7..b016edb9 100755
--- a/test/aggregate-results.sh
+++ b/test/aggregate-results.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -eu
+
fixed=0
success=0
failed=0
@@ -79,3 +81,10 @@ if [ "$skipped" != "0" ]; then
tests=$(pluralize "test" $skipped)
echo "$skipped $tests skipped."
fi
+
+if [ $success -gt 0 -a $fixed -eq 0 -a $failed -eq 0 -a $skipped -eq 0 ]
+then
+ exit 0
+else
+ exit 1
+fi